sigmlgen.playerctrl

## Class CameraSettings

- java.lang.Object
- - sigmlgen.playerctrl.CameraSettings

-     public class CameraSettings
      extends java.lang.Object

  A record of the camera settings defined within a SiGML `<player_settings>` element.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CameraSettings(float x, float y, float rr, float tht, float ph, float fv)` Constructs a new camera settings record with the given camera `(x,y)` location, `(r,theta,phi)` direction and FoV values.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(CameraSettings cam)`
    `float` | `getCamFOV()` Returns the camera's `FoV` angle value.
    `float` | `getCamPhi()` Returns the `phi`-component of the camera location.
    `float` | `getCamR()` Returns the `r`-component of the camera direction.
    `float` | `getCamTheta()` Returns the `theta`-component of the camera location.
    `float` | `getCamX()` Returns the `x`-component of the camera location.
    `float` | `getCamY()` Returns the `y`-component of the camera location.
    `float[]` | `getSettings()` Returns the camera settings as an array-of-float, in the standard order: x, y, r, theta, phi, fov.
    `java.lang.String` | `toString()` Returns a textual representation of these camera settings.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CameraSettings

          public CameraSettings(float x,
                                float y,
                                float rr,
                                float tht,
                                float ph,
                                float fv)

      Constructs a new camera settings record with the given camera `(x,y)` location, `(r,theta,phi)` direction and FoV values.

  - ### Method Detail

    - #### getCamX

          public float getCamX()

      Returns the `x`-component of the camera location.

    - #### getCamY

          public float getCamY()

      Returns the `y`-component of the camera location.

    - #### getCamR

          public float getCamR()

      Returns the `r`-component of the camera direction.

    - #### getCamTheta

          public float getCamTheta()

      Returns the `theta`-component of the camera location.

    - #### getCamPhi

          public float getCamPhi()

      Returns the `phi`-component of the camera location.

    - #### getCamFOV

          public float getCamFOV()

      Returns the camera's `FoV` angle value.

    - #### getSettings

          public float[] getSettings()

      Returns the camera settings as an array-of-float, in the standard order: x, y, r, theta, phi, fov.

    - #### toString

          public java.lang.String toString()

      Returns a textual representation of these camera settings.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(CameraSettings cam)